Package net.shibboleth.idp.cas.service.impl

# Class ReloadingServiceRegistry

java.lang.Object
net.shibboleth.shared.component.AbstractInitializableComponent
net.shibboleth.shared.component.AbstractIdentifiedInitializableComponent
net.shibboleth.shared.component.AbstractIdentifiableInitializableComponent
net.shibboleth.idp.cas.service.impl.ReloadingServiceRegistry

All Implemented Interfaces:
  `ServiceRegistry`, `Component`, `DestructableComponent`, `IdentifiableComponent`, `IdentifiedComponent`, `InitializableComponent`

public class ReloadingServiceRegistry extends AbstractIdentifiableInitializableComponent implements ServiceRegistry
Service registry wrapper around a `ReloadableService`.

## Field Summary

Fields
Modifier and Type
Field
Description
`private final org.slf4j.Logger`
`log`
Class logger.
`private final ReloadableService<ServiceRegistry>`
`service`
The service that manages the reloading.

## Constructor Summary

Constructors
Constructor
Description
`ReloadingServiceRegistry(ReloadableService<ServiceRegistry> delegate)`
Creates a new instance.

## Method Summary

Modifier and Type
Method
Description
`Service`
`lookup(String serviceURL)`
Looks up a service entry from a service URL.

### Methods inherited from class net.shibboleth.shared.component.AbstractIdentifiableInitializableComponent

`setId`

### Methods inherited from class net.shibboleth.shared.component.AbstractIdentifiedInitializableComponent

`doInitialize, ensureId, getId, ifDestroyedThrowDestroyedComponentException, ifInitializedThrowUnmodifiabledComponentException, ifNotInitializedThrowUninitializedComponentException`

### Methods inherited from class net.shibboleth.shared.component.AbstractInitializableComponent

`checkComponentActive, checkSetterPreconditions, destroy, doDestroy, initialize, isDestroyed, isInitialized`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface net.shibboleth.shared.component.IdentifiedComponent

`getId`

## Field Details

### log

@Nonnull private final org.slf4j.Logger log
Class logger.

### service

@Nonnull private final ReloadableService<ServiceRegistry> service
The service that manages the reloading.

## Constructor Details

### ReloadingServiceRegistry

public ReloadingServiceRegistry(@Nonnull @ParameterName(name="delegate") ReloadableService<ServiceRegistry> delegate)
Creates a new instance.

Parameters:
  `delegate` - The service to which operations are delegated.

## Method Details

### lookup

@Nullable public Service lookup(@Nonnull String serviceURL)
Looks up a service entry from a service URL.

Specified by:
  `lookup` in interface `ServiceRegistry`
Parameters:
  `serviceURL` - Non-null CAS service URL.
Returns:
  Service found in registry or null if no match found.